# Run a chaos v2 experiment

Run a chaos v2 experiment

Endpoint: POST /gateway/chaos/manager/api/rest/v2/experiments/{experimentId}/run
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `isOnboardingRun` (boolean, required)
    is it onboarding run

  - `isIdentity` (boolean, required)
    is human-readable experiment identity passed

## Path parameters:

  - `experimentId` (string, required)
    experimentId to be executed

## Request fields (application/json):

  - `inputsetIdentity` (string)

  - `runtimeInputs` (object)

  - `runtimeInputs.experiment` (array)

  - `runtimeInputs.experiment.name` (string, required)

  - `runtimeInputs.experiment.value` (any, required)

  - `runtimeInputs.tasks` (object)

## Response 200 fields (application/json):

  - `notifyID` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


